path_provider 2.0.0-nullsafety copy "path_provider: ^2.0.0-nullsafety" to clipboard
path_provider: ^2.0.0-nullsafety copied to clipboard

outdated

Flutter plugin for getting commonly used locations on host platform file systems, such as the temp and app data directories.

Use this package as a library

Depend on it

Run this command:

With Flutter:

 $ flutter pub add path_provider

This will add a line like this to your package's pubspec.yaml (and run an implicit flutter pub get):

dependencies:
  path_provider: ^2.0.0-nullsafety

Alternatively, your editor might support flutter pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:path_provider/path_provider.dart';
4518
likes
0
pub points
100%
popularity

Publisher

verified publisherflutter.dev

Flutter plugin for getting commonly used locations on host platform file systems, such as the temp and app data directories.

Homepage
Repository (GitHub)
View/report issues

License

unknown (LICENSE)

Dependencies

flutter, path_provider_linux, path_provider_macos, path_provider_platform_interface, path_provider_windows

More

Packages that depend on path_provider